<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
	<meta charset="utf-8">
	<title>首页--工作台</title>
	<meta name="renderer" content="webkit">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta name="apple-mobile-web-app-status-bar-style" content="black">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="format-detection" content="telephone=no">
	<link rel="stylesheet" href="/resources/layui/css/layui.css" media="all" />
	<link rel="stylesheet" href="/resources/css/public.css" media="all" />
</head>
<body class="childrenBody">
	<blockquote class="layui-elem-quote layui-bg-green">
		<div id="nowTime"></div>
	</blockquote>
	<div class="layui-row layui-col-space10">
		<div class="layui-col-lg6 layui-col-md12">
			<blockquote class="layui-elem-quote title">最新公告 <i class="layui-icon layui-red">&#xe756;</i></blockquote>
			<table class="layui-table mag0" lay-skin="line">
				<colgroup>
					<col>
					<col width="110">
				</colgroup>
				<tbody class="hot_news"></tbody>
			</table>
		</div>
		<div class="layui-col-lg6 layui-col-md12">
			<blockquote class="layui-elem-quote title">库存预警 <i class="layui-icon layui-red">&#xe756;</i></blockquote>
			<table class="layui-table mag0" lay-skin="line">
				<colgroup>
					<col>
					<col width="110">
				</colgroup>
				<tbody class="warningGoods"></tbody>
			</table>
		</div>
	</div>

	<!-- 查看公告的div -->
	<div id="desk_viewNewsDiv" style="padding: 10px;display: none;">
		<h2 id="view_title" align="center"></h2>
		<hr>
		<div style="text-align: right;">
			发布人:<span id="view_opername"></span>
			<span style="display: inline-block;width: 20px" ></span>
			发布时间:<span id="view_createtime"></span>
		</div>
		<hr>
		<div id="view_content"></div>
	</div>

	<script type="text/javascript" src="/resources/layui/layui.js"></script>
	
	<script type="text/javascript">
	//获取当前登陆人
	// 获取当前登录用户的用户名，并存储在变量currentUserName中
	var currentUserName = '[[${session.user.name}]]';

	// 初始化一个空字符串用于存储格式化后的日期时间
	var newDate = '';

	// 调用函数getLangDate()来获取系统时间
	getLangDate();

	// 定义一个函数dateFilter，用于在数值小于10时在前面补0
	function dateFilter(date) {
		if (date < 10) { return "0" + date; }
		return date;
	}

	// 定义一个函数getLangDate，用于获取当前系统时间并格式化输出
	function getLangDate() {
		var dateObj = new Date(); // 创建一个表示当前系统时间的Date对象
		var year = dateObj.getFullYear(); // 获取当前年份
		var month = dateObj.getMonth() + 1; // 获取当前月份（注意：月份从0开始，所以需要+1）
		var date = dateObj.getDate(); // 获取当前日期
		var day = dateObj.getDay(); // 获取当前星期值
		var weeks = ["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
		var week = weeks[day]; // 根据星期值获取对应的星期字符串
		var hour = dateObj.getHours(); // 获取当前小时
		var minute = dateObj.getMinutes(); // 获取当前分钟
		var second = dateObj.getSeconds(); // 获取当前秒数
		var timeValue = "" + ((hour >= 12) ? (hour >= 18) ? " 晚上" : " 下午" : " 上午"); // 根据小时判断是上午、下午还是晚上
		// 格式化日期和时间，并赋值给newDate变量
		newDate = dateFilter(year) + "年" + dateFilter(month) + "月" + dateFilter(date) + "日 " + " " + dateFilter(hour) + ":" + dateFilter(minute) + ":" + dateFilter(second);
		// 将格式化后的日期时间显示在页面上
		document.getElementById("nowTime").innerHTML = "亲爱的，" + currentUserName + "  " + timeValue + "好！ 欢迎使用 仓库管理系统。当前时间为： " + newDate + "　" + week;
		// 每隔1秒调用一次getLangDate()函数，实现实时更新时间
		setTimeout("getLangDate()", 1000);
	}

	// 使用layui框架加载模块
	layui.use(['form', 'element', 'layer', 'jquery'], function () {
		var form = layui.form,
				layer = parent.layer === undefined ? layui.layer : top.layer,
				element = layui.element;
		$ = layui.jquery;

		// 设置上次登录时间（此处应该从接口获取，实际使用中请自行更换）
		$(".loginTime").html(newDate.split("日")[0] + "日</br>" + newDate.split("日")[1]);

		// 为面板中的链接添加鼠标悬停动画效果
		$(".panel a").hover(function () {
			$(this).find(".layui-anim").addClass("layui-anim-scaleSpring");
		}, function () {
			$(this).find(".layui-anim").removeClass("layui-anim-scaleSpring");
		});

		// 点击面板中的链接时，调用parent.addTab()方法添加标签页
		$(".panel a").click(function () {
			parent.addTab($(this));
		});

		// 最新文章列表（此部分代码被注释掉了，可以根据需要启用）
		/*$.get("/resources/json/newsList.json", function (data) {
            var hotNewsHtml = '';
            for (var i = 0; i < 5; i++) {
                hotNewsHtml += '<tr>'
                    + '<td align="left"><a href=";"> ' + data.data[i].newsName + '</a></td>'
                    + '<td>' + data.data[i].newsTime.substring(0, 10) + '</td>'
                    + '</tr>';
            }
            $(".hot_news").html(hotNewsHtml);
            $(".userAll span").text(data.length);
        });*/

		// 加载公告信息并显示在页面上
		$.get("/notice/loadAllNotice?page=1&limit=5", function (data) {
			var hotNewsHtml = '';
			if (data.count > 0) {
				if (data.count <= 5) {
					for (var i = 0; i < data.count; i++) {
						hotNewsHtml += '<tr onclick="viewNews(' + data.data[i].id + ')">'
								+ '<td align="left"><a href=";"> ' + data.data[i].title + '</a></td>'
								+ '<td>' + data.data[i].createtime.substring(0, 10) + '</td>'
								+ '</tr>';
					}
				} else {
					for (var i = 0; i < 5; i++) {
						hotNewsHtml += '<tr onclick="viewNews(' + data.data[i].id + ')">'
								+ '<td align="left"><a href=";"> ' + data.data[i].title + '</a></td>'
								+ '<td>' + data.data[i].createtime.substring(0, 10) + '</td>'
								+ '</tr>';
					}
				}
			} else {
				hotNewsHtml += '<h3 style="text-align: center">暂无公告！！！</h3>';
			}
			$(".hot_news").html(hotNewsHtml);
			$(".userAll span").text(data.length);
		});

		// 加载预警商品信息并显示在页面上
		$.get("/goods/loadAllWarningGoods?page=1&limit=5", function (data) {
			var warningGoodsHtml = '';
			if (data.count > 0) {
				if (data.count <= 5) {
					for (var i = 0; i < data.count; i++) {
						warningGoodsHtml += '<tr>' + '<td>商品名称：' + data.data[i].goodsname + '</td>' + '<td style="width: 100px;">当前库存：' + data.data[i].number + '</td>' + '</tr>';
					}
				}
			} else {
				warningGoodsHtml += '<h3 style="text-align: center">暂无预警商品！！！</h3>';
			}
			$(".warningGoods").html(warningGoodsHtml);
			$(".userAll span").text(data.length);
		});
	});

	// 定义一个函数viewNews，用于查看公告详情
	function viewNews(id) {
		$.get("/notice/loadNoticeById", { id: id }, function (news) {
			layer.open({
				type: 1,
				title: '查看公告',
				content: $("#desk_viewNewsDiv"),
				area: ['800px', '550px'],
				success: function (index) {
					$("#view_title").html(news.data.title);
					$("#view_opername").html(news.data.opername);
					$("#view_createtime").html(news.data.createtime);
					$("#view_content").html(news.data.content);
				}
			});
		});
	}


	</script>
</body>
</html>